Bug 267952 - Exception in fortran editor.
Exception in fortran editor.
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
Dev
PC Solaris
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-09 13:16 UTC by Alexander Simon
Modified: 2016-12-08 09:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2016-09-09 13:16:42 UTC
Steps to reproduce:
- add ' in the end of fortran file.
See exception in message log:
INFO [org.netbeans.modules.editor.lib2.typinghooks.TypedTextInterceptorsManager]: TypedTextInterceptor crashed in insert(): org.netbeans.modules.cnd.editor.fortran.FortranTTIFactory$TypedTextInterceptorImpl@70005038
javax.swing.text.BadLocationException: Invalid (offset=293 + length=1)=294 > (docLen+1)=293
	at org.netbeans.modules.editor.lib2.document.EditorDocumentContent.checkBoundsInContent(EditorDocumentContent.java:311)
	at org.netbeans.modules.editor.lib2.document.EditorDocumentContent.getChars(EditorDocumentContent.java:231)
	at javax.swing.text.AbstractDocument.getText(AbstractDocument.java:810)
	at org.netbeans.editor.DocumentUtilities.copyText(DocumentUtilities.java:97)
	at org.netbeans.editor.BaseDocument.getChars(BaseDocument.java:1204)
	at org.netbeans.editor.BaseDocument.getChars(BaseDocument.java:1183)
	at org.netbeans.modules.cnd.editor.fortran.FortranBracketCompletion.completeQuote(FortranBracketCompletion.java:329)
	at org.netbeans.modules.cnd.editor.fortran.FortranBracketCompletion.charInserted(FortranBracketCompletion.java:104)
	at org.netbeans.modules.cnd.editor.fortran.FortranTTIFactory$TypedTextInterceptorImpl.insert(FortranTTIFactory.java:79)
Comment 1 Alexander Simon 2016-10-28 14:40:00 UTC
fixed in enum, branch release82, change set 57c79bb5b95f
Comment 2 Quality Engineering 2016-11-10 03:22:37 UTC
Integrated into 'main-silver', will be available in build *201611100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f744d198bab2
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #267952 Exception in fortran editor.file
(transplanted from 57c79bb5b95f40b5dc3b63d3ecc45131ce0654c3)
Comment 3 soldatov 2016-12-08 09:37:24 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo